
package com.myasto;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.widget.Toast;
import com.myasto.jsbridge.JavaScriptMenuHandler;
import com.myasto.jsbridge.JsCallBack;
import com.myasto.views.AtomNewsView;
import com.myasto.views.RatesView;
import roboguice.activity.RoboActivity;
import roboguice.inject.InjectView;

public class MainActivity  extends RoboActivity {

    @InjectView(R.id.webViewHome)
    WebView webViewHome;

    final Context context = this;


    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_home);
        webViewHome.getSettings().setJavaScriptEnabled(true);
        setWebViewSettings();
        webViewHome.addJavascriptInterface(new JavaScriptMenuHandler(this), "menuHandler");
        webViewHome.loadUrl("file:///android_asset/home.html");

    }


    public void setView(int val) {

      Intent intent = new Intent();
      if (val == 0) {
          Toast.makeText(this, "Home view called: " + val, 15).show();
          intent.setClass(this.context, MainActivity.class);
          startActivity(intent);
          finish();
       }

      if (val == 1) {
          Toast.makeText(this, "News view called " + val, 15).show();
          intent.setClass(this.context, AtomNewsView.class);
          startActivity(intent);
          finish();
      }
      if (val == 2) {
         Toast.makeText(this, "Alerts view called: " + val, 15).show();
         intent.setClass(this.context, RatesView.class);
         startActivity(intent);
         finish();
       }

      if (val == 3) {
          Toast.makeText(this, "Visa view called: " + val, 15).show();
          intent.setClass(this.context, MainActivity.class);
          startActivity(intent);
          finish();
       }



    }


    /* WebChromeClient must be set BEFORE calling loadUrl! */
    void setWebViewSettings() {
        webViewHome.setWebChromeClient(new WebChromeClient() {

            @Override
            public boolean onJsAlert(WebView view, String url, String message, final android.webkit.JsResult result)
            {
                new AlertDialog.Builder(context)
                        .setTitle("javaScript dialog")
                        .setMessage(message)
                        .setPositiveButton(android.R.string.ok,
                                new AlertDialog.OnClickListener() {
                                    public void onClick(DialogInterface dialog, int which) {
                                        result.confirm();
                                    }
                                })
                        .setCancelable(false)
                        .create()
                        .show();

                return true;
            };
        });

    }

    @Override
    public void onDestroy() {
        super.onDestroy();

    }


}